PDA

View Full Version : Patch upgrade problem



gprasadholla
01-13-2009, 12:46 AM
Hi,

I am creating a patch to upgrade from my lastpatch to new version. I had a released a complete setup with 8.X version. Then i created a patch with latest setup compared with 8.X version. This patch was releSed as SP1.

Now i am designing SP2, comparing SP1 complete setup and 8.X release.

It is working when i upgrade from base version. But when i upgrade from SP1 it fails.
............
PATCH SEQUENCER ERROR: failed to retrieve the upgrade code SP1ToLatest1 transform in C:\DOCUME~1\AAKASH~1.ADI\LOCALS~1\Temp\{090DEFBA-B58C-47A6-9995-51CE88CCB535}\8.3 Patch.msp patch takes the product to! (1: 2253 2: 3: InstallShield )
MSI (c) (7C:EC) [10:03:41:687]: PATCH SEQUENCER: minor upgrade patch C:\DOCUME~1\AAKASH~1.ADI\LOCALS~1\Temp\{090DEFBA-B58C-47A6-9995-51CE88CCB535}\8.3 Patch.msp is not applicable.
.............

Reason for this is, I did not change the package code when i released SP1. Now i am not sure how i can rectify this problem. SP1 patch is already released any i cant change anything.

Any suggestion?

gprasadholla
06-08-2009, 02:16 PM
Long time back i got it resolved.. did not update the post; my bad.

It was due to one of the MSI i used for comparing was corrupt. And it happend so because of i opening it in InstallShield and pressing Save. it added a new table and that created a mess. I opened orca and deleted it, everything worked fine...